<?php

namespace App\Filament\Resources\Monitoring\ContentRecaps\Pages;

use App\Filament\Actions\BackAction;
use App\Filament\Resources\Monitoring\ContentRecaps\ContentRecapResource;
use App\Filament\Support\CheerfulNotification;
use Filament\Notifications\Notification;
use Filament\Resources\Pages\CreateRecord;

class CreateContentRecap extends CreateRecord
{
    protected static string $resource = ContentRecapResource::class;

    protected static ?string $title = 'Tambah Rekap Konten';

    protected function getHeaderActions(): array
    {
        return [
            BackAction::make()
                ->url(ListContentRecaps::getUrl()),
        ];
    }

    protected function getCreatedNotification(): ?Notification
    {
        return CheerfulNotification::create();
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
